Bug 1796664 - OperatorHub: marketplace.openshift.io annotations ignored
Summary: OperatorHub: marketplace.openshift.io annotations ignored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 21:37 UTC by Samuel Padgett
Modified: 2020-04-29 14:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-29 14:26:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3861 0 None closed Bug 1796664: Add links to Marketplace workflows in OperatorHub 2020-11-25 04:46:08 UTC
Github openshift console pull 4193 0 None closed Bug 1796664: Change link to external link 2020-11-25 04:46:06 UTC

Description Samuel Padgett 2020-01-30 21:37:13 UTC
We're not honoring the marketplace.openshift.io/action-text and marketplace.openshift.io/remote-workflow annotations.

Comment 2 shahan 2020-02-03 10:14:00 UTC
Goto operators hub page, check Provider Type->Marketplaceand->CockroachDB, the view detail link is something like "https://**.openshift.com/operatorhub/ns/https://marketplace.redhat.com/en-us/operators/cockroachdb-certified-rhmp/pricing" . That bring us to 403 page
4.4.0-0.nightly-2020-02-02-225006

Comment 3 shahan 2020-02-04 01:35:14 UTC
The related annotations in the operator like:  
 marketplace.openshift.io/remote-workflow: >-
      https://marketplace.redhat.com/en-us/operators/cockroachdb-certified-rhmp/pricing
marketplace.openshift.io/support-workflow: >-
      https://marketplace.redhat.com/en-us/operators/cockroachdb-certified-rhmp/support

Comment 5 Yanping Zhang 2020-02-12 08:37:47 UTC
Hi, Sam! Do you know where can we get an operator contains annotation "marketplace.openshift.io/action-text" for test? is there existing operator in OCP operator hub containing this annotation?

Comment 6 shahan 2020-02-13 05:21:52 UTC
Goto operators hub page, check Provider Type->Marketplaceand->CockroachDB, the action text is "Purchase", and href is "https://marketplace.redhat.com/en-us/operators/cockroachdb-certified-rhmp/pricing"
same as annotation in csv:
    marketplace.openshift.io/remote-workflow: >-
      https://marketplace.redhat.com/en-us/operators/cpx-cic-operator-rhmp/pricing

But I did not find the marketplace.openshift.io/action-text annotation in the CockroachDB csv. And the action text is not "View Detail" that seems means the value of action-text should be "Purchase".
So can I verify the bug now? @ralpert

Comment 7 shahan 2020-02-14 03:57:37 UTC
Verified this bug, feel free to reopen if you have any concern.
4.4.0-0.nightly-2020-02-13-192852

Comment 8 ralpert 2020-02-14 15:54:00 UTC
Hey - I asked Robb Hamilton if any operators have action-text annotations and he said "i dont think any are doing it at this point. this is more to be future proof when we have the ability to check if you have access to a trial and we can set the annotation appropriately." It's expected that CockroachDB would not have the annotation.


Note You need to log in before you can comment on or make changes to this bug.